package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.service.IAmsContractTruckPriceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.TaskScheduler;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.scheduling.concurrent.ThreadPoolTaskScheduler;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

/***文档注释***********************************************
 * 作者            ：hjh
 * 创建日期     ：2022/9/23 14:37
 * 描述            ：
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
 ***********************************************************/

@Component
public class ScheduledTasks {

    @Autowired
    IAmsContractTruckPriceService amsContractTruckPriceService;
    //创建定时任务线程池
    @Bean
    public TaskScheduler taskScheduler() {
        ThreadPoolTaskScheduler taskScheduler = new ThreadPoolTaskScheduler();
        taskScheduler.setPoolSize(64);
        return taskScheduler;
    }

    @Scheduled(cron = "0 0 0 26 9 ?")
    public void updateDCPrice() {
        //修改吊车价格为最新运价
        amsContractTruckPriceService.updateDCodd();
        amsContractTruckPriceService.updateDCnew();
    }
/*    @Scheduled(cron = "0 0 0 26 9 ? 2022-2022")
    public void updateXSGCPrice() {
        //修改销售钢材价格为最新运价

    }*/
}
